//----------------------------------------------------------------------------
// 
//	file: logtest.cc
// 
//	function: test ../log.cc class 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sun Jul 19 02:03:01 CDT 1998
// 
//	$Revision: 1.1 $ $Date: 1998/10/16 10:35:21 $
//	$Log: logtest.cc,v $
//	Revision 1.1  1998/10/16 10:35:21  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <stdio.h>
#include <iostream.h>
#include <nnview/simulog.h>

int main(int argc, char *argv[]) {

  simulog *netlog = new simulog("logtest.cc : test log file","logtest.log");

  netlog->add("%s","testing 1.2.3.");
  netlog->add("testing.. 4.5.6.");
  netlog->append("testing appending 1.2.3.");
  netlog->add("testing adding again 1.2.3.");

  delete netlog; // close the log...

  cout << "Log saved to logtest.log\n" ;

}

